<?php

@include_once dirname(__FILE__) . '/controls.php';

$plugin = $file_commerce_pro;

if (!$controls->is_action()) {
    $controls->options = array('userid'=>$_GET['userid'], 'status'=>FileCommercePro::CONTRACT_VALID);
}
else {
    // Process known actions. Some actions need to process the options, do something
    // without storing them on the database but showing them to the user a second time.
    if ($controls->is_action('save')) {
        // Check fields validity

        $controls->options = stripslashes_deep($_POST['options']);
        $wpdb->insert($wpdb->prefix . FILECOMMERCEPRO_TABLE_CONTRACTS, $controls->options);
        ?>
        <script>location.href="?page=file-commerce-pro/contracts_edit.php&id=<?php echo $wpdb->insert_id; ?>";</script>
        <?php
        return;
    }
}

if ($controls->options == null) $controls->options = $plugin->get_options();

?>

<div class="wrap">

    <h2><?php echo $plugin->title; ?>: New Contract</h2>

    <?php $controls->show_errors(); ?>

    <form method="post" action="">
        <?php $controls->init(); ?>
        <?php $controls->hidden('userid'); ?>

        <table class="form-table">
            <tr valign="top">
                <th>User</th>
                <td>
                    <?php $u = get_user_by('id', $controls->options['userid']);?>
                    <?php echo $u->user_login; ?> - <?php echo $u->user_email; ?>
                </td>
            </tr>
            <tr valign="top">
                <th>File</th>
                <td>
                    <?php
                    $files = $wpdb->get_results("select id, title, duration from " . $wpdb->prefix . FILECOMMERCEPRO_TABLE_FILES . " order by title");
                    foreach($files as $file) {
                        $options['' . $file->id] = $file->title . ' (' . $file->duration . ' days)';
                    }
                    $controls->select(fileid, $options);
                    ?>
                </td>
            </tr>
            <tr valign="top">
                <th>Status</th>
                <td>
                    <?php $controls->select('status', array(FileCommercePro::CONTRACT_VALID=>'Valid', FileCommercePro::CONTRACT_INVALID=>'Invalid')); ?>
                </td>
            </tr>
            <tr valign="top">
                <th>Expire on</th>
                <td>
                    <?php $controls->date('expire'); ?>
                </td>
            </tr>
        </table>
        <p class="submit">
            <?php $controls->button('save', 'Save'); ?>
        </p>
    </form>
</div>

