<?php
include '../../../wp-load.php';

$file_commerce_pro->log_info('download.php');
$file_commerce_pro->log_debug($_GET);

$file = file_commerce_pro_load_file_from_db($_GET['f']);

if (!$file_commerce_pro->is_downloadable($file)) {
    die('Access denied');
}

//update file hits
file_commerce_pro_update_file_hits($file->id);

$download['ip'] = $_SERVER['REMOTE_ADDR'];
$download['created'] = time();
$download['fileid'] = $file->id;
$download['userid'] = get_current_user_id(); // Zero for no user
$wpdb->insert($wpdb->prefix . FILECOMMERCEPRO_TABLE_DOWNLOADS, $download);

$uploads = wp_upload_dir();

if ($file->linked_fileid != 0) {
    $file = file_commerce_pro_load_file_from_db($file->linked_fileid);
}

$filepath = $uploads['basedir'] . '/' . FILECOMMERCEPRO_FILE_UPLOAD_DIR . $file->filename;

if (!file_exists($filepath)) die('File is missing, contact the administrator.');

// Cleans up the file name
$x = strpos($file->filename, '_');
if ($x !== false) {
    $file->filename = substr($file->filename, $x+1);
}

header("Cache-Control: public");
header("Content-type: " . $file->mime);
header("Content-Description: File Transfer");
header("Content-Disposition: attachment; filename= " . $file->filename);
header("Content-Transfer-Encoding: binary");
readfile($filepath);
