function filecommercepro_deleteFile(id)
{
	if (confirm('Are you sure you want to delete file? This operation will remove also the file from filesystem.'))
	{
		jQuery('#fileid').val(id);
		jQuery('#filedelete').submit();
	}		
}

function filecommercepro_editFile(id)
{
	jQuery('#fileeditid').val(id);
	jQuery('#fileedit').submit();		
}

function filecommercepro_checkSaveForm(form)
{	
	if (jQuery('#uploadedfile').val() == "")
	{
		alert("Check file value.");
		return false;
	}
	if (jQuery('#title').val() == "")
	{
		alert("Check title value.");
		return false;
	}
	if (jQuery('#duration').val() == "")
	{
		alert("Check duration value.");
		return false;
	}
	return true;
}

function filecommercepro_checkEditForm(form)
{		
	if (jQuery('#title').val() == "")
	{
		alert("Check title value.");
		return false;
	}	
	if (jQuery('#duration').val() == "")
	{
		alert("Check duration value.");
		return false;
	}
	return true;
}

function filecommercepro_activateFile(id)
{
	if (confirm('Do you confirm the file activation?'))
	{
		jQuery('#fileactivateid').val(id);
		jQuery('#fileactivate').submit();
	}	
}

function filecommercepro_deactivateFile(id)
{
	if (confirm('Do you confirm the file deactivation?'))
	{
		jQuery('#filedeactivateid').val(id);
		jQuery('#filedeactivate').submit();
	}
}

function filecommercepro_deleteContract(id)
{
	if (confirm('Are you sure you want to delete the contract? User will not be able to download the file.'))
	{
		jQuery('#contractid').val(id);
		jQuery('#contractdelete').submit();
	}
}

/**
 * Cookie plugin
 *
 * Copyright (c) 2006 Klaus Hartl (stilbuero.de)
 * Dual licensed under the MIT and GPL licenses:
 * http://www.opensource.org/licenses/mit-license.php
 * http://www.gnu.org/licenses/gpl.html
 *
 */

/**
 * Create a cookie with the given name and value and other optional parameters.
 *
 * @example $.cookie('the_cookie', 'the_value');
 * @desc Set the value of a cookie.
 * @example $.cookie('the_cookie', 'the_value', { expires: 7, path: '/', domain: 'jquery.com', secure: true });
 * @desc Create a cookie with all available options.
 * @example $.cookie('the_cookie', 'the_value');
 * @desc Create a session cookie.
 * @example $.cookie('the_cookie', null);
 * @desc Delete a cookie by passing null as value. Keep in mind that you have to use the same path and domain
 *       used when the cookie was set.
 *
 * @param String name The name of the cookie.
 * @param String value The value of the cookie.
 * @param Object options An object literal containing key/value pairs to provide optional cookie attributes.
 * @option Number|Date expires Either an integer specifying the expiration date from now on in days or a Date object.
 *                             If a negative value is specified (e.g. a date in the past), the cookie will be deleted.
 *                             If set to null or omitted, the cookie will be a session cookie and will not be retained
 *                             when the the browser exits.
 * @option String path The value of the path atribute of the cookie (default: path of page that created the cookie).
 * @option String domain The value of the domain attribute of the cookie (default: domain of page that created the cookie).
 * @option Boolean secure If true, the secure attribute of the cookie will be set and the cookie transmission will
 *                        require a secure protocol (like HTTPS).
 * @type undefined
 *
 * @name $.cookie
 * @cat Plugins/Cookie
 * @author Klaus Hartl/klaus.hartl@stilbuero.de
 */

/**
 * Get the value of a cookie with the given name.
 *
 * @example $.cookie('the_cookie');
 * @desc Get the value of a cookie.
 *
 * @param String name The name of the cookie.
 * @return The value of the cookie.
 * @type String
 *
 * @name $.cookie
 * @cat Plugins/Cookie
 * @author Klaus Hartl/klaus.hartl@stilbuero.de
 */
jQuery.cookie = function(name, value, options) {
    if (typeof value != 'undefined') { // name and value given, set cookie
        options = options || {};
        if (value === null) {
            value = '';
            options.expires = -1;
        }
        var expires = '';
        if (options.expires && (typeof options.expires == 'number' || options.expires.toUTCString)) {
            var date;
            if (typeof options.expires == 'number') {
                date = new Date();
                date.setTime(date.getTime() + (options.expires * 24 * 60 * 60 * 1000));
            } else {
                date = options.expires;
            }
            expires = '; expires=' + date.toUTCString(); // use expires attribute, max-age is not supported by IE
        }
        // CAUTION: Needed to parenthesize options.path and options.domain
        // in the following expressions, otherwise they evaluate to undefined
        // in the packed version for some reason...
        var path = options.path ? '; path=' + (options.path) : '';
        var domain = options.domain ? '; domain=' + (options.domain) : '';
        var secure = options.secure ? '; secure' : '';
        document.cookie = [name, '=', encodeURIComponent(value), expires, path, domain, secure].join('');
    } else { // only name given, get cookie
        var cookieValue = null;
        if (document.cookie && document.cookie != '') {
            var cookies = document.cookie.split(';');
            for (var i = 0; i < cookies.length; i++) {
                var cookie = jQuery.trim(cookies[i]);
                // Does this cookie string begin with the name we want?
                if (cookie.substring(0, name.length + 1) == (name + '=')) {
                    cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                    break;
                }
            }
        }
        return cookieValue;
    }
};

// AJAX CALLS //

function filecommercepro_ajaxcall(evt, callback, fileid) {
    if (fileid == null) fileid = '';
	var params = {
		action: 'filecommercepro_admin_action',
		event: evt,
                fileid: fileid
	};

	// since 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
	jQuery.ajax({
		url: ajaxurl,
		data: params, 
		success: function(response){		
			callback(response);
		},
		error: function(xhr, ajaxOptions, thrownError){		
			alert(thrownError);
		},
		dataType: "json"
	});
}

function filecommercepro_onloadcallback() {
	filecommercepro_ajaxcall('loadcontractsdata',filecommercepro_callback_showcontractsdata, null);
	filecommercepro_ajaxcall('loaddownloadsdata',filecommercepro_callback_showdownloadsdata);
}

function filecommercepro_callback_showcontractsdata(response) {
	// Create and populate the data table.
    var data = new google.visualization.DataTable();

    var raw_data = response.counts;

    var months = response.months;
                    
    data.addColumn('string', 'Month');
    data.addColumn('number', 'Sells');    
        
    data.addRows(months.length);
    
    //string row
    for (var j = 0; j < months.length; ++j) {  
      data.setValue(j, 0, months[j]);
    }
    
    //number row    
    for (var j = 0; j  < raw_data.length; ++j) {
        data.setValue(j, 1, raw_data[j]);    
    }    
    
    // Create and draw the visualization.
    new google.visualization.ColumnChart(document.getElementById('contracts')).
        draw(data,
             {title: response.title,
              width:700, height:400,
              hAxis: {title: "Months"},
              titleTextStyle: {color: 'red'}}
        );
}

function filecommercepro_callback_showdownloadsdata(response) {	
    // Create and populate the data table.
    var data = new google.visualization.DataTable();
    
    data.addColumn('string', 'Files');
    data.addColumn('number', 'Total downloads');
    
    var titles = response.titles;
    var hits = response.hits;    
    
    data.addRows(titles.length);
    
    for (var j = 0; j < titles.length; ++j) {  
        data.setValue(j, 0, titles[j]);
        data.setValue(j, 1, hits[j]);
    }

    // Create and draw the visualization.
    new google.visualization.PieChart(document.getElementById('downloads')).
        draw(data, 
        		{title:"File downloads",
        		titleTextStyle: {color: 'red'}}
        );
}