<?php
$plugin = $file_commerce_pro;
$files = $wpdb->get_results("select id, title from " . $wpdb->prefix . FILECOMMERCEPRO_TABLE_FILES . " order by title");
?>
<script>
function filecommercepro_change_file(fileid) {
    filecommercepro_ajaxcall('loadcontractsdata',filecommercepro_callback_showcontractsdata, fileid);
}
</script>
<div class="wrap">
    <h2><?php echo $plugin->title; ?>: Reports</h2>

        <select onchange="filecommercepro_change_file(this.value)">
            <option value="">All</option>
        <?php foreach($files as $file) { ?>
            <option value="<?php echo $file->id; ?>"><?php echo strip_tags($file->title); ?></option>
        <?php } ?>
        </select>


    <h3>Sells</h3>
    <p style="margin-left:20px;">
    	<div id="contracts" style="width: 700px; height: 400px;"></div>
    </p>
    
    <h3>Overall downloads</h3>
    <p style="margin-left:20px;">
    	<div id="downloads" style="width: 600px; height: 400px;"></div>	
    </p>

    <h3>Last 7 days downloads</h3>
    <?php
    $downloads = $wpdb->get_results("select d.*, f.title from "  . $wpdb->prefix . FILECOMMERCEPRO_TABLE_DOWNLOADS . " d left outer join " .
            $wpdb->prefix . FILECOMMERCEPRO_TABLE_FILES . " f on d.fileid=f.id where created>" . (time()-86400*7) . " order by id asc");
    ?>
    <table class="widefat">
        <thead>
            <tr><th>Date</th><th>User</th><th>File</th><th>IP</th></tr>
        </thead>
        <tbody>
            <?php foreach($downloads as &$download) { ?>
            <tr>
            <td><?php echo date('Y-m-d H:i:s', $download->created); ?></td>
            <td><?php echo $download->userid; ?></td>
            <td><?php echo $download->title; ?></td>
            <td><?php echo $download->ip; ?></td>
            </tr>
            <?php } ?>
        </tbody>

    </table>

</div>