<?php
/**
 * Pagina di ritorno dai sistemi di pagamento, unica e fissa, che poi ridireziona alla
 * pagina di ringraziamento specificata nelle configurazioni. Si usa questa intermedia per
 * non dover cambiare le configurazioni dei sistemi di pagamento in caso d modifiche
 * nel sito.
 * 
 * Nelle versioni precedenti la 2.0 si poteva specificare il solo messaggio di 
 * ringraziamento che veniva visualizzato direttamente, dalle 2.0 una configurazione
 * deprecata e deve essere impostato l'URL della pagina di ringraziamento.
 */

include '../../../wp-load.php';

$file_commerce_pro->log_info('thankyou.php');
$file_commerce_pro->log_debug($_GET);
$file_commerce_pro->log_debug($_POST);

$return = trim($file_commerce_pro->get_option('thankyou_url'));

if (!empty($return)) {
    header('Location: ' . $return);
    die();
}

$body = $file_commerce_pro->get_option('thankyou');

// Questo rimpiazza alcuni tag che producono dei link di login
$body = $file_commerce_pro->replace($body);

?>
<html>
    <head>
        <style type="text/css">
            body {
                background-color: #555;
                font-family: verdana, sans serif;
                font-size: 13px;
                margin: 0;
            }
            h1 {
                font-size: 24px;
                text-shadow: 1px 1px #999;
            }
            #container {                
                margin: 30px auto;
                width: 600px;
                border: 3px solid #999;
                padding: 20px;
                background-color: #fff;
                border-radius: 10px;
            }
        </style>
    </head>
    <body>
        <div id="container">
            <?php echo $body; ?>
        </div>
    </body>
</html>